# The Post Editor’s Data

Namespace: `core/editor`.

## Selectors

<!-- START TOKEN(Autogenerated selectors) -->

<a name="canInsertBlockType" href="#canInsertBlockType">#</a> **canInsertBlockType**

_Related_

-   canInsertBlockType in core/block-editor store.

<a name="canUserUseUnfilteredHTML" href="#canUserUseUnfilteredHTML">#</a> **canUserUseUnfilteredHTML**

Returns whether or not the user has the unfiltered_html capability.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `boolean`: Whether the user can or can't post unfiltered HTML.

<a name="didPostSaveRequestFail" href="#didPostSaveRequestFail">#</a> **didPostSaveRequestFail**

Returns true if a previous post save was attempted but failed, or false
otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post save failed.

<a name="didPostSaveRequestSucceed" href="#didPostSaveRequestSucceed">#</a> **didPostSaveRequestSucceed**

Returns true if a previous post save was attempted successfully, or false
otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post was saved successfully.

<a name="getActivePostLock" href="#getActivePostLock">#</a> **getActivePostLock**

Returns the active post lock.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `Object`: The lock object.

<a name="getAdjacentBlockClientId" href="#getAdjacentBlockClientId">#</a> **getAdjacentBlockClientId**

_Related_

-   getAdjacentBlockClientId in core/block-editor store.

<a name="getAutosave" href="#getAutosave">#</a> **getAutosave**

> **Deprecated** since 5.6. Callers should use the `getAutosave( postType, postId, userId )` selector from the '@wordpress/core-data' package.

Returns the current autosave, or null if one is not set (i.e. if the post
has yet to be autosaved, or has been saved or published since the last
autosave).

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `?Object`: Current autosave, if exists.

<a name="getAutosaveAttribute" href="#getAutosaveAttribute">#</a> **getAutosaveAttribute**

> **Deprecated** since 5.6. Callers should use the `getAutosave( postType, postId, userId )` selector from the '@wordpress/core-data' package and access properties on the returned autosave object using getPostRawValue.

Returns an attribute value of the current autosave revision for a post, or
null if there is no autosave for the post.

_Parameters_

-   _state_ `Object`: Global application state.
-   _attributeName_ `string`: Autosave attribute name.

_Returns_

-   `*`: Autosave attribute value.

<a name="getBlock" href="#getBlock">#</a> **getBlock**

_Related_

-   getBlock in core/block-editor store.

<a name="getBlockAttributes" href="#getBlockAttributes">#</a> **getBlockAttributes**

_Related_

-   getBlockAttributes in core/block-editor store.

<a name="getBlockCount" href="#getBlockCount">#</a> **getBlockCount**

_Related_

-   getBlockCount in core/block-editor store.

<a name="getBlockHierarchyRootClientId" href="#getBlockHierarchyRootClientId">#</a> **getBlockHierarchyRootClientId**

_Related_

-   getBlockHierarchyRootClientId in core/block-editor store.

<a name="getBlockIndex" href="#getBlockIndex">#</a> **getBlockIndex**

_Related_

-   getBlockIndex in core/block-editor store.

<a name="getBlockInsertionPoint" href="#getBlockInsertionPoint">#</a> **getBlockInsertionPoint**

_Related_

-   getBlockInsertionPoint in core/block-editor store.

<a name="getBlockListSettings" href="#getBlockListSettings">#</a> **getBlockListSettings**

_Related_

-   getBlockListSettings in core/block-editor store.

<a name="getBlockMode" href="#getBlockMode">#</a> **getBlockMode**

_Related_

-   getBlockMode in core/block-editor store.

<a name="getBlockName" href="#getBlockName">#</a> **getBlockName**

_Related_

-   getBlockName in core/block-editor store.

<a name="getBlockOrder" href="#getBlockOrder">#</a> **getBlockOrder**

_Related_

-   getBlockOrder in core/block-editor store.

<a name="getBlockRootClientId" href="#getBlockRootClientId">#</a> **getBlockRootClientId**

_Related_

-   getBlockRootClientId in core/block-editor store.

<a name="getBlocks" href="#getBlocks">#</a> **getBlocks**

_Related_

-   getBlocks in core/block-editor store.

<a name="getBlocksByClientId" href="#getBlocksByClientId">#</a> **getBlocksByClientId**

_Related_

-   getBlocksByClientId in core/block-editor store.

<a name="getBlockSelectionEnd" href="#getBlockSelectionEnd">#</a> **getBlockSelectionEnd**

_Related_

-   getBlockSelectionEnd in core/block-editor store.

<a name="getBlockSelectionStart" href="#getBlockSelectionStart">#</a> **getBlockSelectionStart**

_Related_

-   getBlockSelectionStart in core/block-editor store.

<a name="getBlocksForSerialization" href="#getBlocksForSerialization">#</a> **getBlocksForSerialization**

> **Deprecated** since Gutenberg 6.2.0.

Returns a set of blocks which are to be used in consideration of the post's
generated save content.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `Array<WPBlock>`: Filtered set of blocks for save.

<a name="getClientIdsOfDescendants" href="#getClientIdsOfDescendants">#</a> **getClientIdsOfDescendants**

_Related_

-   getClientIdsOfDescendants in core/block-editor store.

<a name="getClientIdsWithDescendants" href="#getClientIdsWithDescendants">#</a> **getClientIdsWithDescendants**

_Related_

-   getClientIdsWithDescendants in core/block-editor store.

<a name="getCurrentPost" href="#getCurrentPost">#</a> **getCurrentPost**

Returns the post currently being edited in its last known saved state, not
including unsaved edits. Returns an object containing relevant default post
values if the post has not yet been saved.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `Object`: Post object.

<a name="getCurrentPostAttribute" href="#getCurrentPostAttribute">#</a> **getCurrentPostAttribute**

Returns an attribute value of the saved post.

_Parameters_

-   _state_ `Object`: Global application state.
-   _attributeName_ `string`: Post attribute name.

_Returns_

-   `*`: Post attribute value.

<a name="getCurrentPostId" href="#getCurrentPostId">#</a> **getCurrentPostId**

Returns the ID of the post currently being edited, or null if the post has
not yet been saved.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `?number`: ID of current post.

<a name="getCurrentPostLastRevisionId" href="#getCurrentPostLastRevisionId">#</a> **getCurrentPostLastRevisionId**

Returns the last revision ID of the post currently being edited,
or null if the post has no revisions.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `?number`: ID of the last revision.

<a name="getCurrentPostRevisionsCount" href="#getCurrentPostRevisionsCount">#</a> **getCurrentPostRevisionsCount**

Returns the number of revisions of the post currently being edited.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `number`: Number of revisions.

<a name="getCurrentPostType" href="#getCurrentPostType">#</a> **getCurrentPostType**

Returns the post type of the post currently being edited.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `string`: Post type.

<a name="getEditedPostAttribute" href="#getEditedPostAttribute">#</a> **getEditedPostAttribute**

Returns a single attribute of the post being edited, preferring the unsaved
edit if one exists, but falling back to the attribute for the last known
saved state of the post.

_Parameters_

-   _state_ `Object`: Global application state.
-   _attributeName_ `string`: Post attribute name.

_Returns_

-   `*`: Post attribute value.

<a name="getEditedPostContent" href="#getEditedPostContent">#</a> **getEditedPostContent**

Returns the content of the post being edited.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `string`: Post content.

<a name="getEditedPostPreviewLink" href="#getEditedPostPreviewLink">#</a> **getEditedPostPreviewLink**

Returns the post preview link

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `?string`: Preview Link.

<a name="getEditedPostVisibility" href="#getEditedPostVisibility">#</a> **getEditedPostVisibility**

Returns the current visibility of the post being edited, preferring the
unsaved value if different than the saved post. The return value is one of
"private", "password", or "public".

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `string`: Post visibility.

<a name="getEditorBlocks" href="#getEditorBlocks">#</a> **getEditorBlocks**

Return the current block list.

_Parameters_

-   _state_ `Object`: 

_Returns_

-   `Array`: Block list.

<a name="getEditorSettings" href="#getEditorSettings">#</a> **getEditorSettings**

Returns the post editor settings.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `Object`: The editor settings object.

<a name="getFirstMultiSelectedBlockClientId" href="#getFirstMultiSelectedBlockClientId">#</a> **getFirstMultiSelectedBlockClientId**

_Related_

-   getFirstMultiSelectedBlockClientId in core/block-editor store.

<a name="getGlobalBlockCount" href="#getGlobalBlockCount">#</a> **getGlobalBlockCount**

_Related_

-   getGlobalBlockCount in core/block-editor store.

<a name="getInserterItems" href="#getInserterItems">#</a> **getInserterItems**

_Related_

-   getInserterItems in core/block-editor store.

<a name="getLastMultiSelectedBlockClientId" href="#getLastMultiSelectedBlockClientId">#</a> **getLastMultiSelectedBlockClientId**

_Related_

-   getLastMultiSelectedBlockClientId in core/block-editor store.

<a name="getMultiSelectedBlockClientIds" href="#getMultiSelectedBlockClientIds">#</a> **getMultiSelectedBlockClientIds**

_Related_

-   getMultiSelectedBlockClientIds in core/block-editor store.

<a name="getMultiSelectedBlocks" href="#getMultiSelectedBlocks">#</a> **getMultiSelectedBlocks**

_Related_

-   getMultiSelectedBlocks in core/block-editor store.

<a name="getMultiSelectedBlocksEndClientId" href="#getMultiSelectedBlocksEndClientId">#</a> **getMultiSelectedBlocksEndClientId**

_Related_

-   getMultiSelectedBlocksEndClientId in core/block-editor store.

<a name="getMultiSelectedBlocksStartClientId" href="#getMultiSelectedBlocksStartClientId">#</a> **getMultiSelectedBlocksStartClientId**

_Related_

-   getMultiSelectedBlocksStartClientId in core/block-editor store.

<a name="getNextBlockClientId" href="#getNextBlockClientId">#</a> **getNextBlockClientId**

_Related_

-   getNextBlockClientId in core/block-editor store.

<a name="getPermalink" href="#getPermalink">#</a> **getPermalink**

Returns the permalink for the post.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `?string`: The permalink, or null if the post is not viewable.

<a name="getPermalinkParts" href="#getPermalinkParts">#</a> **getPermalinkParts**

Returns the permalink for a post, split into it's three parts: the prefix,
the postName, and the suffix.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `Object`: An object containing the prefix, postName, and suffix for the permalink, or null if the post is not viewable.

<a name="getPostEdits" href="#getPostEdits">#</a> **getPostEdits**

Returns any post values which have been changed in the editor but not yet
been saved.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `Object`: Object of key value pairs comprising unsaved edits.

<a name="getPostLockUser" href="#getPostLockUser">#</a> **getPostLockUser**

Returns details about the post lock user.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `Object`: A user object.

<a name="getPreviousBlockClientId" href="#getPreviousBlockClientId">#</a> **getPreviousBlockClientId**

_Related_

-   getPreviousBlockClientId in core/block-editor store.

<a name="getReferenceByDistinctEdits" href="#getReferenceByDistinctEdits">#</a> **getReferenceByDistinctEdits**

Returns a new reference when edited values have changed. This is useful in
inferring where an edit has been made between states by comparison of the
return values using strict equality.

_Usage_

    const hasEditOccurred = (
       getReferenceByDistinctEdits( beforeState ) !==
       getReferenceByDistinctEdits( afterState )
    );

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `*`: A value whose reference will change only when an edit occurs.

<a name="getSelectedBlock" href="#getSelectedBlock">#</a> **getSelectedBlock**

_Related_

-   getSelectedBlock in core/block-editor store.

<a name="getSelectedBlockClientId" href="#getSelectedBlockClientId">#</a> **getSelectedBlockClientId**

_Related_

-   getSelectedBlockClientId in core/block-editor store.

<a name="getSelectedBlockCount" href="#getSelectedBlockCount">#</a> **getSelectedBlockCount**

_Related_

-   getSelectedBlockCount in core/block-editor store.

<a name="getSelectedBlocksInitialCaretPosition" href="#getSelectedBlocksInitialCaretPosition">#</a> **getSelectedBlocksInitialCaretPosition**

_Related_

-   getSelectedBlocksInitialCaretPosition in core/block-editor store.

<a name="getStateBeforeOptimisticTransaction" href="#getStateBeforeOptimisticTransaction">#</a> **getStateBeforeOptimisticTransaction**

Returns state object prior to a specified optimist transaction ID, or `null`
if the transaction corresponding to the given ID cannot be found.

_Parameters_

-   _state_ `Object`: Current global application state.
-   _transactionId_ `Object`: Optimist transaction ID.

_Returns_

-   `Object`: Global application state prior to transaction.

<a name="getSuggestedPostFormat" href="#getSuggestedPostFormat">#</a> **getSuggestedPostFormat**

Returns a suggested post format for the current post, inferred only if there
is a single block within the post and it is of a type known to match a
default post format. Returns null if the format cannot be determined.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `?string`: Suggested post format.

<a name="getTemplate" href="#getTemplate">#</a> **getTemplate**

_Related_

-   getTemplate in core/block-editor store.

<a name="getTemplateLock" href="#getTemplateLock">#</a> **getTemplateLock**

_Related_

-   getTemplateLock in core/block-editor store.

<a name="hasAutosave" href="#hasAutosave">#</a> **hasAutosave**

> **Deprecated** since 5.6. Callers should use the `getAutosave( postType, postId, userId )` selector from the '@wordpress/core-data' package and check for a truthy value.

Returns the true if there is an existing autosave, otherwise false.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether there is an existing autosave.

<a name="hasChangedContent" href="#hasChangedContent">#</a> **hasChangedContent**

Returns true if content includes unsaved changes, or false otherwise.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `boolean`: Whether content includes unsaved changes.

<a name="hasEditorRedo" href="#hasEditorRedo">#</a> **hasEditorRedo**

Returns true if any future editor history snapshots exist, or false
otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether redo history exists.

<a name="hasEditorUndo" href="#hasEditorUndo">#</a> **hasEditorUndo**

Returns true if any past editor history snapshots exist, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether undo history exists.

<a name="hasInserterItems" href="#hasInserterItems">#</a> **hasInserterItems**

_Related_

-   hasInserterItems in core/block-editor store.

<a name="hasMultiSelection" href="#hasMultiSelection">#</a> **hasMultiSelection**

_Related_

-   hasMultiSelection in core/block-editor store.

<a name="hasSelectedBlock" href="#hasSelectedBlock">#</a> **hasSelectedBlock**

_Related_

-   hasSelectedBlock in core/block-editor store.

<a name="hasSelectedInnerBlock" href="#hasSelectedInnerBlock">#</a> **hasSelectedInnerBlock**

_Related_

-   hasSelectedInnerBlock in core/block-editor store.

<a name="inSomeHistory" href="#inSomeHistory">#</a> **inSomeHistory**

Returns true if an optimistic transaction is pending commit, for which the
before state satisfies the given predicate function.

_Parameters_

-   _state_ `Object`: Editor state.
-   _predicate_ `Function`: Function given state, returning true if match.

_Returns_

-   `boolean`: Whether predicate matches for some history.

<a name="isAncestorMultiSelected" href="#isAncestorMultiSelected">#</a> **isAncestorMultiSelected**

_Related_

-   isAncestorMultiSelected in core/block-editor store.

<a name="isAutosavingPost" href="#isAutosavingPost">#</a> **isAutosavingPost**

Returns true if the post is autosaving, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post is autosaving.

<a name="isBlockInsertionPointVisible" href="#isBlockInsertionPointVisible">#</a> **isBlockInsertionPointVisible**

_Related_

-   isBlockInsertionPointVisible in core/block-editor store.

<a name="isBlockMultiSelected" href="#isBlockMultiSelected">#</a> **isBlockMultiSelected**

_Related_

-   isBlockMultiSelected in core/block-editor store.

<a name="isBlockSelected" href="#isBlockSelected">#</a> **isBlockSelected**

_Related_

-   isBlockSelected in core/block-editor store.

<a name="isBlockValid" href="#isBlockValid">#</a> **isBlockValid**

_Related_

-   isBlockValid in core/block-editor store.

<a name="isBlockWithinSelection" href="#isBlockWithinSelection">#</a> **isBlockWithinSelection**

_Related_

-   isBlockWithinSelection in core/block-editor store.

<a name="isCaretWithinFormattedText" href="#isCaretWithinFormattedText">#</a> **isCaretWithinFormattedText**

_Related_

-   isCaretWithinFormattedText in core/block-editor store.

<a name="isCleanNewPost" href="#isCleanNewPost">#</a> **isCleanNewPost**

Returns true if there are no unsaved values for the current edit session and
if the currently edited post is new (has never been saved before).

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether new post and unsaved values exist.

<a name="isCurrentPostPending" href="#isCurrentPostPending">#</a> **isCurrentPostPending**

Returns true if post is pending review.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether current post is pending review.

<a name="isCurrentPostPublished" href="#isCurrentPostPublished">#</a> **isCurrentPostPublished**

Return true if the current post has already been published.

_Parameters_

-   _state_ `Object`: Global application state.
-   _currentPost_ `?Object`: Explicit current post for bypassing registry selector.

_Returns_

-   `boolean`: Whether the post has been published.

<a name="isCurrentPostScheduled" href="#isCurrentPostScheduled">#</a> **isCurrentPostScheduled**

Returns true if post is already scheduled.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether current post is scheduled to be posted.

<a name="isEditedPostAutosaveable" href="#isEditedPostAutosaveable">#</a> **isEditedPostAutosaveable**

Returns true if the post can be autosaved, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.
-   _autosave_ `Object`: A raw autosave object from the REST API.

_Returns_

-   `boolean`: Whether the post can be autosaved.

<a name="isEditedPostBeingScheduled" href="#isEditedPostBeingScheduled">#</a> **isEditedPostBeingScheduled**

Return true if the post being edited is being scheduled. Preferring the
unsaved status values.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post has been published.

<a name="isEditedPostDateFloating" href="#isEditedPostDateFloating">#</a> **isEditedPostDateFloating**

Returns whether the current post should be considered to have a "floating"
date (i.e. that it would publish "Immediately" rather than at a set time).

Unlike in the PHP backend, the REST API returns a full date string for posts
where the 0000-00-00T00:00:00 placeholder is present in the database. To
infer that a post is set to publish "Immediately" we check whether the date
and modified date are the same.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `boolean`: Whether the edited post has a floating date value.

<a name="isEditedPostDirty" href="#isEditedPostDirty">#</a> **isEditedPostDirty**

Returns true if there are unsaved values for the current edit session, or
false if the editing state matches the saved or new post.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether unsaved values exist.

<a name="isEditedPostEmpty" href="#isEditedPostEmpty">#</a> **isEditedPostEmpty**

Returns true if the edited post has content. A post has content if it has at
least one saveable block or otherwise has a non-empty content property
assigned.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether post has content.

<a name="isEditedPostNew" href="#isEditedPostNew">#</a> **isEditedPostNew**

Returns true if the currently edited post is yet to be saved, or false if
the post has been saved.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post is new.

<a name="isEditedPostPublishable" href="#isEditedPostPublishable">#</a> **isEditedPostPublishable**

Return true if the post being edited can be published.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post can been published.

<a name="isEditedPostSaveable" href="#isEditedPostSaveable">#</a> **isEditedPostSaveable**

Returns true if the post can be saved, or false otherwise. A post must
contain a title, an excerpt, or non-empty content to be valid for save.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post can be saved.

<a name="isFirstMultiSelectedBlock" href="#isFirstMultiSelectedBlock">#</a> **isFirstMultiSelectedBlock**

_Related_

-   isFirstMultiSelectedBlock in core/block-editor store.

<a name="isMultiSelecting" href="#isMultiSelecting">#</a> **isMultiSelecting**

_Related_

-   isMultiSelecting in core/block-editor store.

<a name="isPermalinkEditable" href="#isPermalinkEditable">#</a> **isPermalinkEditable**

Returns whether the permalink is editable or not.

_Parameters_

-   _state_ `Object`: Editor state.

_Returns_

-   `boolean`: Whether or not the permalink is editable.

<a name="isPostLocked" href="#isPostLocked">#</a> **isPostLocked**

Returns whether the post is locked.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Is locked.

<a name="isPostLockTakeover" href="#isPostLockTakeover">#</a> **isPostLockTakeover**

Returns whether the edition of the post has been taken over.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Is post lock takeover.

<a name="isPostSavingLocked" href="#isPostSavingLocked">#</a> **isPostSavingLocked**

Returns whether post saving is locked.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Is locked.

<a name="isPreviewingPost" href="#isPreviewingPost">#</a> **isPreviewingPost**

Returns true if the post is being previewed, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the post is being previewed.

<a name="isPublishingPost" href="#isPublishingPost">#</a> **isPublishingPost**

Returns true if the post is being published, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether post is being published.

<a name="isPublishSidebarEnabled" href="#isPublishSidebarEnabled">#</a> **isPublishSidebarEnabled**

Returns whether the pre-publish panel should be shown
or skipped when the user clicks the "publish" button.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether the pre-publish panel should be shown or not.

<a name="isSavingPost" href="#isSavingPost">#</a> **isSavingPost**

Returns true if the post is currently being saved, or false otherwise.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether post is being saved.

<a name="isSelectionEnabled" href="#isSelectionEnabled">#</a> **isSelectionEnabled**

_Related_

-   isSelectionEnabled in core/block-editor store.

<a name="isTyping" href="#isTyping">#</a> **isTyping**

_Related_

-   isTyping in core/block-editor store.

<a name="isValidTemplate" href="#isValidTemplate">#</a> **isValidTemplate**

_Related_

-   isValidTemplate in core/block-editor store.


<!-- END TOKEN(Autogenerated selectors) -->

## Actions

<!-- START TOKEN(Autogenerated actions) -->

<a name="autosave" href="#autosave">#</a> **autosave**

Action generator used in signalling that the post should autosave.

_Parameters_

-   _options_ `?Object`: Extra flags to identify the autosave.

<a name="clearSelectedBlock" href="#clearSelectedBlock">#</a> **clearSelectedBlock**

_Related_

-   clearSelectedBlock in core/block-editor store.

<a name="createUndoLevel" href="#createUndoLevel">#</a> **createUndoLevel**

Returns an action object used in signalling that undo history record should
be created.

_Returns_

-   `Object`: Action object.

<a name="disablePublishSidebar" href="#disablePublishSidebar">#</a> **disablePublishSidebar**

Returns an action object used in signalling that the user has disabled the
publish sidebar.

_Returns_

-   `Object`: Action object

<a name="editPost" href="#editPost">#</a> **editPost**

Returns an action object used in signalling that attributes of the post have
been edited.

_Parameters_

-   _edits_ `Object`: Post attributes to edit.

<a name="enablePublishSidebar" href="#enablePublishSidebar">#</a> **enablePublishSidebar**

Returns an action object used in signalling that the user has enabled the
publish sidebar.

_Returns_

-   `Object`: Action object

<a name="enterFormattedText" href="#enterFormattedText">#</a> **enterFormattedText**

_Related_

-   enterFormattedText in core/block-editor store.

<a name="exitFormattedText" href="#exitFormattedText">#</a> **exitFormattedText**

_Related_

-   exitFormattedText in core/block-editor store.

<a name="hideInsertionPoint" href="#hideInsertionPoint">#</a> **hideInsertionPoint**

_Related_

-   hideInsertionPoint in core/block-editor store.

<a name="insertBlock" href="#insertBlock">#</a> **insertBlock**

_Related_

-   insertBlock in core/block-editor store.

<a name="insertBlocks" href="#insertBlocks">#</a> **insertBlocks**

_Related_

-   insertBlocks in core/block-editor store.

<a name="insertDefaultBlock" href="#insertDefaultBlock">#</a> **insertDefaultBlock**

_Related_

-   insertDefaultBlock in core/block-editor store.

<a name="lockPostSaving" href="#lockPostSaving">#</a> **lockPostSaving**

Returns an action object used to signal that post saving is locked.

_Usage_

    const { subscribe } = wp.data;

    const initialPostStatus = wp.data.select( 'core/editor' ).getEditedPostAttribute( 'status' );

    // Only allow publishing posts that are set to a future date.
    if ( 'publish' !== initialPostStatus ) {

    	// Track locking.
    	let locked = false;

    	// Watch for the publish event.
    	let unssubscribe = subscribe( () => {
    		const currentPostStatus = wp.data.select( 'core/editor' ).getEditedPostAttribute( 'status' );
    		if ( 'publish' !== currentPostStatus ) {

    			// Compare the post date to the current date, lock the post if the date isn't in the future.
    			const postDate = new Date( wp.data.select( 'core/editor' ).getEditedPostAttribute( 'date' ) );
    			const currentDate = new Date();
    			if ( postDate.getTime() <= currentDate.getTime() ) {
    				if ( ! locked ) {
    					locked = true;
    					wp.data.dispatch( 'core/editor' ).lockPostSaving( 'futurelock' );
    				}
    			} else {
    				if ( locked ) {
    					locked = false;
    					wp.data.dispatch( 'core/editor' ).unlockPostSaving( 'futurelock' );
    				}
    			}
    		}
    	} );
    }

_Parameters_

-   _lockName_ `string`: The lock name.

_Returns_

-   `Object`: Action object

<a name="mergeBlocks" href="#mergeBlocks">#</a> **mergeBlocks**

_Related_

-   mergeBlocks in core/block-editor store.

<a name="moveBlocksDown" href="#moveBlocksDown">#</a> **moveBlocksDown**

_Related_

-   moveBlocksDown in core/block-editor store.

<a name="moveBlocksUp" href="#moveBlocksUp">#</a> **moveBlocksUp**

_Related_

-   moveBlocksUp in core/block-editor store.

<a name="moveBlockToPosition" href="#moveBlockToPosition">#</a> **moveBlockToPosition**

_Related_

-   moveBlockToPosition in core/block-editor store.

<a name="multiSelect" href="#multiSelect">#</a> **multiSelect**

_Related_

-   multiSelect in core/block-editor store.

<a name="receiveBlocks" href="#receiveBlocks">#</a> **receiveBlocks**

_Related_

-   receiveBlocks in core/block-editor store.

<a name="redo" href="#redo">#</a> **redo**

Returns an action object used in signalling that undo history should
restore last popped state.

<a name="refreshPost" href="#refreshPost">#</a> **refreshPost**

Action generator for handling refreshing the current post.

<a name="removeBlock" href="#removeBlock">#</a> **removeBlock**

_Related_

-   removeBlock in core/block-editor store.

<a name="removeBlocks" href="#removeBlocks">#</a> **removeBlocks**

_Related_

-   removeBlocks in core/block-editor store.

<a name="replaceBlock" href="#replaceBlock">#</a> **replaceBlock**

_Related_

-   replaceBlock in core/block-editor store.

<a name="replaceBlocks" href="#replaceBlocks">#</a> **replaceBlocks**

_Related_

-   replaceBlocks in core/block-editor store.

<a name="resetAutosave" href="#resetAutosave">#</a> **resetAutosave**

> **Deprecated** since 5.6. Callers should use the `receiveAutosaves( postId, autosave )` selector from the '@wordpress/core-data' package.

Returns an action object used in signalling that the latest autosave of the
post has been received, by initialization or autosave.

_Parameters_

-   _newAutosave_ `Object`: Autosave post object.

_Returns_

-   `Object`: Action object.

<a name="resetBlocks" href="#resetBlocks">#</a> **resetBlocks**

_Related_

-   resetBlocks in core/block-editor store.

<a name="resetEditorBlocks" href="#resetEditorBlocks">#</a> **resetEditorBlocks**

Returns an action object used to signal that the blocks have been updated.

_Parameters_

-   _blocks_ `Array`: Block Array.
-   _options_ `?Object`: Optional options.

<a name="resetPost" href="#resetPost">#</a> **resetPost**

Returns an action object used in signalling that the latest version of the
post has been received, either by initialization or save.

_Parameters_

-   _post_ `Object`: Post object.

_Returns_

-   `Object`: Action object.

<a name="savePost" href="#savePost">#</a> **savePost**

Action generator for saving the current post in the editor.

_Parameters_

-   _options_ `Object`: 

<a name="selectBlock" href="#selectBlock">#</a> **selectBlock**

_Related_

-   selectBlock in core/block-editor store.

<a name="setTemplateValidity" href="#setTemplateValidity">#</a> **setTemplateValidity**

_Related_

-   setTemplateValidity in core/block-editor store.

<a name="setupEditor" href="#setupEditor">#</a> **setupEditor**

Returns an action generator used in signalling that editor has initialized with
the specified post object and editor settings.

_Parameters_

-   _post_ `Object`: Post object.
-   _edits_ `Object`: Initial edited attributes object.
-   _template_ `?Array`: Block Template.

<a name="setupEditorState" href="#setupEditorState">#</a> **setupEditorState**

Returns an action object used to setup the editor state when first opening
an editor.

_Parameters_

-   _post_ `Object`: Post object.

_Returns_

-   `Object`: Action object.

<a name="showInsertionPoint" href="#showInsertionPoint">#</a> **showInsertionPoint**

_Related_

-   showInsertionPoint in core/block-editor store.

<a name="startMultiSelect" href="#startMultiSelect">#</a> **startMultiSelect**

_Related_

-   startMultiSelect in core/block-editor store.

<a name="startTyping" href="#startTyping">#</a> **startTyping**

_Related_

-   startTyping in core/block-editor store.

<a name="stopMultiSelect" href="#stopMultiSelect">#</a> **stopMultiSelect**

_Related_

-   stopMultiSelect in core/block-editor store.

<a name="stopTyping" href="#stopTyping">#</a> **stopTyping**

_Related_

-   stopTyping in core/block-editor store.

<a name="synchronizeTemplate" href="#synchronizeTemplate">#</a> **synchronizeTemplate**

_Related_

-   synchronizeTemplate in core/block-editor store.

<a name="toggleBlockMode" href="#toggleBlockMode">#</a> **toggleBlockMode**

_Related_

-   toggleBlockMode in core/block-editor store.

<a name="toggleSelection" href="#toggleSelection">#</a> **toggleSelection**

_Related_

-   toggleSelection in core/block-editor store.

<a name="trashPost" href="#trashPost">#</a> **trashPost**

Action generator for trashing the current post in the editor.

<a name="undo" href="#undo">#</a> **undo**

Returns an action object used in signalling that undo history should pop.

<a name="unlockPostSaving" href="#unlockPostSaving">#</a> **unlockPostSaving**

Returns an action object used to signal that post saving is unlocked.

_Usage_

    // Unlock post saving with the lock key `mylock`:
    wp.data.dispatch( 'core/editor' ).unlockPostSaving( 'mylock' );

_Parameters_

-   _lockName_ `string`: The lock name.

_Returns_

-   `Object`: Action object

<a name="updateBlock" href="#updateBlock">#</a> **updateBlock**

_Related_

-   updateBlock in core/block-editor store.

<a name="updateBlockAttributes" href="#updateBlockAttributes">#</a> **updateBlockAttributes**

_Related_

-   updateBlockAttributes in core/block-editor store.

<a name="updateBlockListSettings" href="#updateBlockListSettings">#</a> **updateBlockListSettings**

_Related_

-   updateBlockListSettings in core/block-editor store.

<a name="updateEditorSettings" href="#updateEditorSettings">#</a> **updateEditorSettings**

Undocumented declaration.

<a name="updatePost" href="#updatePost">#</a> **updatePost**

Returns an action object used in signalling that a patch of updates for the
latest version of the post have been received.

_Parameters_

-   _edits_ `Object`: Updated post fields.

_Returns_

-   `Object`: Action object.

<a name="updatePostLock" href="#updatePostLock">#</a> **updatePostLock**

Returns an action object used to lock the editor.

_Parameters_

-   _lock_ `Object`: Details about the post lock status, user, and nonce.

_Returns_

-   `Object`: Action object.

<!-- END TOKEN(Autogenerated actions) -->
