# Notices Data

Namespace: `core/notices`.

## Selectors

<!-- START TOKEN(Autogenerated selectors) -->

<a name="getNotices" href="#getNotices">#</a> **getNotices**

Returns all notices as an array, optionally for a given context. Defaults to
the global context.

_Parameters_

-   _state_ `Object`: Notices state.
-   _context_ `?string`: Optional grouping context.

_Returns_

-   `Array<WPNotice>`: Array of notices.


<!-- END TOKEN(Autogenerated selectors) -->

## Actions

<!-- START TOKEN(Autogenerated actions) -->

<a name="createErrorNotice" href="#createErrorNotice">#</a> **createErrorNotice**

Returns an action object used in signalling that an error notice is to be
created. Refer to `createNotice` for options documentation.

_Related_

-   createNotice

_Parameters_

-   _content_ `string`: Notice message.
-   _options_ `?Object`: Optional notice options.

_Returns_

-   `Object`: Action object.

<a name="createInfoNotice" href="#createInfoNotice">#</a> **createInfoNotice**

Returns an action object used in signalling that an info notice is to be
created. Refer to `createNotice` for options documentation.

_Related_

-   createNotice

_Parameters_

-   _content_ `string`: Notice message.
-   _options_ `?Object`: Optional notice options.

_Returns_

-   `Object`: Action object.

<a name="createNotice" href="#createNotice">#</a> **createNotice**

Yields action objects used in signalling that a notice is to be created.

_Parameters_

-   _status_ `?string`: Notice status. Defaults to `info`.
-   _content_ `string`: Notice message.
-   _options_ `?Object`: Notice options.
-   _options.context_ `?string`: Context under which to group notice.
-   _options.id_ `?string`: Identifier for notice. Automatically assigned if not specified.
-   _options.isDismissible_ `?boolean`: Whether the notice can be dismissed by user. Defaults to `true`.
-   _options.speak_ `?boolean`: Whether the notice content should be announced to screen readers. Defaults to `true`.
-   _options.actions_ `?Array<WPNoticeAction>`: User actions to be presented with notice.

<a name="createSuccessNotice" href="#createSuccessNotice">#</a> **createSuccessNotice**

Returns an action object used in signalling that a success notice is to be
created. Refer to `createNotice` for options documentation.

_Related_

-   createNotice

_Parameters_

-   _content_ `string`: Notice message.
-   _options_ `?Object`: Optional notice options.

_Returns_

-   `Object`: Action object.

<a name="createWarningNotice" href="#createWarningNotice">#</a> **createWarningNotice**

Returns an action object used in signalling that a warning notice is to be
created. Refer to `createNotice` for options documentation.

_Related_

-   createNotice

_Parameters_

-   _content_ `string`: Notice message.
-   _options_ `?Object`: Optional notice options.

_Returns_

-   `Object`: Action object.

<a name="removeNotice" href="#removeNotice">#</a> **removeNotice**

Returns an action object used in signalling that a notice is to be removed.

_Parameters_

-   _id_ `string`: Notice unique identifier.
-   _context_ `?string`: Optional context (grouping) in which the notice is intended to appear. Defaults to default context.

_Returns_

-   `Object`: Action object.

<!-- END TOKEN(Autogenerated actions) -->
