# DOM Ready

Execute callback after the DOM is loaded.

## Installation

Install the module

```bash
npm install @wordpress/dom-ready --save
```

_This package assumes that your code will run in an **ES2015+** environment. If you're using an environment that has limited or no support for ES2015+ such as lower versions of IE then using [core-js](https://github.com/zloirock/core-js) or [@babel/polyfill](https://babeljs.io/docs/en/next/babel-polyfill) will add support for these methods. Learn more about it in [Babel docs](https://babeljs.io/docs/en/next/caveats)._

## API

<!-- START TOKEN(Autogenerated API docs) -->

<a name="default" href="#default">#</a> **default**

Specify a function to execute when the DOM is fully loaded.

_Usage_

```js
import domReady from '@wordpress/dom-ready';

domReady( function() {
	//do something after DOM loads.
} );
```

_Parameters_

-   _callback_ `Function`: A function to execute after the DOM is ready.

_Returns_

-   `void`: 


<!-- END TOKEN(Autogenerated API docs) -->

## Browser support

See <https://make.wordpress.org/design/handbook/design-guide/browser-support/>

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
