export const EXPECTED_TRANSFORMS = {
	core__archives: {
		originalBlock: 'Archives',
		availableTransforms: [
			'Group',
		],
	},
	core__archives__showPostCounts: {
		originalBlock: 'Archives',
		availableTransforms: [
			'Group',
		],
	},
	core__audio: {
		originalBlock: 'Audio',
		availableTransforms: [
			'File',
			'Group',
		],
	},
	core__button__center: {
		originalBlock: 'Button',
		availableTransforms: [
			'Group',
		],
	},
	core__calendar: {
		originalBlock: 'Calendar',
		availableTransforms: [
			'Group',
		],
	},
	'core__media-text': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-alt-no-align': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-fill-no-focal-point-selected': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-fill-with-focal-point-selected': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__is-stacked-on-mobile': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	'core__media-text__media-right-custom-width': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	'core__media-text__vertical-align-bottom': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__video': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	core__categories: {
		originalBlock: 'Categories',
		availableTransforms: [
			'Group',
		],
	},
	core__code: {
		originalBlock: 'Code',
		availableTransforms: [
			'Group',
			'Preformatted',
		],
	},
	core__columns: {
		originalBlock: 'Columns',
		availableTransforms: [
			'Group',
		],
	},
	core__cover: {
		availableTransforms: [
			'Group',
			'Image',
		],
		originalBlock: 'Cover',
	},
	core__cover__video: {
		availableTransforms: [
			'Group',
			'Video',
		],
		originalBlock: 'Cover',
	},
	'core__cover__video-overlay': {
		availableTransforms: [
			'Group',
			'Video',
		],
		originalBlock: 'Cover',
	},
	core__embed: {
		originalBlock: 'Embed',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__new-window': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__no-download-button': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__no-text-link': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	core__gallery: {
		originalBlock: 'Gallery',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	core__gallery__columns: {
		originalBlock: 'Gallery',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	core__group: {
		originalBlock: 'Group',
		availableTransforms: [],
	},
	'core__heading__h4-em': {
		originalBlock: 'Heading',
		availableTransforms: [
			'Quote',
			'Group',
			'Paragraph',
		],
	},
	core__heading__h2: {
		originalBlock: 'Heading',
		availableTransforms: [
			'Quote',
			'Group',
			'Paragraph',
		],
	},
	core__html: {
		originalBlock: 'Custom HTML',
		availableTransforms: [
			'Group',
		],
	},
	core__image: {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__attachment-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__center-caption': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link-class': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link-rel': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__media-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__latest-comments': {
		originalBlock: 'Latest Comments',
		availableTransforms: [
			'Group',
		],
	},
	'core__latest-posts': {
		originalBlock: 'Latest Posts',
		availableTransforms: [
			'Group',
		],
	},
	'core__latest-posts__displayPostDate': {
		originalBlock: 'Latest Posts',
		availableTransforms: [
			'Group',
		],
	},
	'core__legacy-widget': {
		originalBlock: 'Legacy Widget (Experimental)',
		availableTransforms: [
			'Group',
		],
	},
	core__list__ul: {
		originalBlock: 'List',
		availableTransforms: [
			'Group',
			'Paragraph',
			'Quote',
		],
	},
	core__more: {
		originalBlock: 'More',
		availableTransforms: [
			'Group',
		],
	},
	'core__more__custom-text-teaser': {
		originalBlock: 'More',
		availableTransforms: [
			'Group',
		],
	},
	'core__navigation-menu': {
		originalBlock: 'Navigation Menu (Experimental)',
		availableTransforms: [
			'Group',
		],
	},
	'core__navigation-menu-item': {
		originalBlock: 'Menu Item (Experimental)',
		availableTransforms: [
			'Group',
		],
	},
	core__nextpage: {
		originalBlock: 'Page Break',
		availableTransforms: [
			'Group',
		],
	},
	'core__paragraph__align-right': {
		originalBlock: 'Paragraph',
		availableTransforms: [
			'Heading',
			'List',
			'Quote',
			'Group',
			'Preformatted',
			'Verse',
		],
	},
	core__preformatted: {
		originalBlock: 'Preformatted',
		availableTransforms: [
			'Group',
			'Paragraph',
		],
	},
	core__pullquote: {
		originalBlock: 'Pullquote',
		availableTransforms: [
			'Quote',
			'Group',
		],
	},
	'core__pullquote__multi-paragraph': {
		originalBlock: 'Pullquote',
		availableTransforms: [
			'Quote',
			'Group',
		],
	},
	'core__quote__style-1': {
		originalBlock: 'Quote',
		availableTransforms: [
			'List',
			'Group',
			'Paragraph',
			'Heading',
			'Pullquote',
		],
	},
	'core__quote__style-2': {
		originalBlock: 'Quote',
		availableTransforms: [
			'List',
			'Group',
			'Paragraph',
			'Heading',
			'Pullquote',
		],
	},
	core__rss: {
		originalBlock: 'RSS',
		availableTransforms: [
			'Group',
		],
	},
	core__search: {
		originalBlock: 'Search',
		availableTransforms: [
			'Group',
		],
	},
	'core__search__custom-text': {
		originalBlock: 'Search',
		availableTransforms: [
			'Group',
		],
	},
	core__separator: {
		originalBlock: 'Separator',
		availableTransforms: [
			'Group',
		],
	},
	core__shortcode: {
		originalBlock: 'Shortcode',
		availableTransforms: [
			'Group',
		],
	},
	core__spacer: {
		originalBlock: 'Spacer',
		availableTransforms: [
			'Group',
		],
	},
	core__table: {
		originalBlock: 'Table',
		availableTransforms: [
			'Group',
		],
	},
	'core__table__scope-attribute': {
		originalBlock: 'Table',
		availableTransforms: [
			'Group',
		],
	},
	'core__tag-cloud': {
		originalBlock: 'Tag Cloud',
		availableTransforms: [
			'Group',
		],
	},
	'core__tag-cloud__showTagCounts': {
		originalBlock: 'Tag Cloud',
		availableTransforms: [
			'Group',
		],
	},
	core__verse: {
		originalBlock: 'Verse',
		availableTransforms: [
			'Group',
			'Paragraph',
		],
	},
	core__video: {
		originalBlock: 'Video',
		availableTransforms: [
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
};
